upgrade 6.2 to 7.0

Go To Last Post
5 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

What the censored is component infrastructure?

 

Would a sane person want it or is this something only ASF fans would use?

 

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Thank god for the help feature.  Nice colors, maybe some help will be included sometime.  wink

 

 

 

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I think I'll forgo component infrastructure.

https://www.avrfreaks.net/comment/1681056#comment-1681056

 

 

Now I recall where I heard of infrastructure.  Politicians keep telling me they are going to fix the infrastructure.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Isn't the "component infrastructure" the thing where the device support is broken out of the core compiler/linker making it easier for Atmel (or others) to deliver "support packs" for new models of AVR in the future without needing a completely rebuilt compiler every time? To achieve that it has to pass in more command line parameters to say where the "packs" are located and which device to support. So I think this is saying "do you want the command lines to the tools changed irrevocably to support this new V7 way of working?". I would say the best answer is probably yes.

 

(developers have a habit of making sensible default choices in this kind of dialog so if it appears with the option ticked they are probably saying "yes, accepting this would be a Good Idea")

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

 So why don't they give me two boxes labeled "good idea" and "bad idea", check one?

 

They probably think ASF is a good idea.  I didn't install ASF, as far as I know.  I unchecked the box when the installation started.

Anyway I checked the bad idea box and it installed and built my project fine.